WebKit framework avec headers?

Le
unbewusst.sein
suite à une tentative d'install de RubyCocoa from sources j'ai le
message d'erreur suivant :
Generating BridgeSupport metadata for: WebKit
./gen_bridge_metadata.rb:1729:in `handle_framework': Can't locate public
framework headers at
'/System/Library/Frameworks/WebKit.framework/Headers' (RuntimeError)


effectivement, sur ma bécanne j'ai bien un webkit framework MAIS SANS
Headers

où trouver la "bonne" version ?
--
Une Bévue
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
luc
Le #501192
Une Bévue
où trouver la "bonne" version ?


XCode.

--
Luc Heinrich

unbewusst.sein
Le #501191
Luc Heinrich
où trouver la "bonne" version ?


XCode.


ben justement, j'ai ré-installé XCode hier :

uninstall depuis le script Perl du DVD Tiger ;
re-install des dev tools depuis le CDRomlivré avec moniMac;
update avec le DVD Tiger ;
update avec le dmg "xcode_8m2540a_developerdvd_693637977.dmg" (latest).

donc il me manque qqc...
pas de combo pour XCode...

--
Une Bévue


unbewusst.sein
Le #501190
Luc Heinrich
XCode.


bon apparemment ce serait dans :
xcode_2.4.1_8m1910_6936315.dmg
--
Une Bévue

unbewusst.sein
Le #501189
Une Bévue

bon apparemment ce serait dans :
xcode_2.4.1_8m1910_6936315.dmg


si j'essaie d'installer uniquement "WebKitSDK.mpkg" ça me dit :
impossible de continuer, il n'y a rien à installer...
--
Une Bévue

unbewusst.sein
Le #500937
Luc Heinrich

où trouver la "bonne" version ?


XCode.


Bon, en fait ça ne marche pas...

j'ai donc trashé WebKit.framework et WebKit.pkg

ré-installé la version contenue dans le XCode du dvd Tiger

marche pas.

finalement ce qui a marché :

ré-install de Safari 3 beta après avoir re-trashé webKit and Co...

j'ai pu compiler rubyccocoa version svn.

par contre il n'y a tjs pas de projet RubyCocoa dans XCode ( File > New
Project...)


--
Une Bévue


Publicité
Poster une réponse
Anonyme